@import "common.css?version=4.x-dev";

@font-face { font-family: 'marianne_light'; src: url("../static/fonts/marianne-Light.eot"); src: url("../static/fonts/marianne-Light.eot?#iefix") format("embedded-opentype"), url("../static/fonts/marianne-Light.woff?version=4.x-dev") format("woff"), url("../static/fonts/marianne-Light-webfont.ttf?version=4.x-dev") format("truetype"), url("../static/fonts/marianne-Light-webfont.svg#marianne_light") format("svg"); font-weight: 300; font-style: normal; }
@font-face { font-family: 'marianne_regular'; src: url("../static/fonts/marianne-Regular.eot"); src: url("../static/fonts/marianne-Regular.eot?#iefix") format("embedded-opentype"), url("../static/fonts/marianne-Regular.woff?version=4.x-dev") format("woff"), url("../static/fonts/marianne-Regular-webfont.ttf") format("truetype"), url("../static/fonts/marianne-Regular-webfont.svg#marianne_regular") format("svg"); font-weight: 400; font-style: normal; }
@font-face { font-family: 'marianne_bold'; src: url("../static/fonts/marianne-Bold.eot"); src: url("../static/fonts/marianne-Bold.eot?#iefix") format("embedded-opentype"), url("../static/fonts/marianne-Bold.woff?version=4.x-dev") format("woff"), url("../static/fonts/marianne-Bold-webfont.ttf") format("truetype"), url("../static/fonts/marianne-Bold-webfont.svg#marianne_bold") format("svg"); font-weight: 700; font-style: normal; }

/* Titre et apparence générale*/
h1, article > h1 {font-family: 'marianne_bold'; color: #0606b2; font-size: 1.5rem;}
b {font-family: 'marianne_bold';}
body {	font-family: 'marianne_light', sans-serif; font-size:1rem;}
a {color:blue; font-family: 'marianne_bold'; }
.article ul li::before {display: none;}
.fas , .fa-chevron-left, .fa-chevron-right { display: none; }


/* Masque les éléments non nécessaires */
.simulator-breadcrumb {	display: none;}
.step-page .step-description { display: none; }
.step-page .step-description {visibility:hidden;display: none;}
span.infocomp {font-family: 'marianne_light'; font-style: italic; font-size: 0.9rem;}
.fas , .fa-chevron-left, .fa-chevron-right { display: none; }
div.mention-asterisk {	display: none; visibility:hidden;}
.step-page .step-description {visibility:hidden;display: none;}

/* Pas de fonds sur le fond de la croix de suppression */
.main button {background-color: transparent; }
.glyphicon {position: initial; padding-top: 12px; padding-right: 12px;}

/*Pas de marge sur les blocs */
.fiche-item .fiche-item-content, .step-page .section-content {padding:0;}

/* Taille de la case à cocher */
input[type="radio"] {
	width: 2rem;
	color: #000;
}

/* Définition des styles du simulateur (partie centrale) */
@media (min-width: 60em) {
	.col-main {
		float: left;
		width: 80%;
		margin: 0 10%;
	}
}

/* Mise en page de l'intro */
.Intro {
	color: #3a3a3a;
	font-family: 'marianne_bold';
	font-size: 1.1rem;
	padding-left: 2rem;
	padding-bottom: 2rem;
}
.aNote {font-size: .9rem; font-family: 'marianne_light'; font-style: italic;}

#Note ul, .Malus ul {
	list-style-type: none; /* spécifie la puce */
}

#Note li, .Malus li {
	margin-left: 5em; /* pour éviter la superposition du contenu */
}

.Note {
	color: #2a313e; 
	border : solid #2a313e;
	border-width: 1px 1px 1px 20px;
	padding: 10px;
	font-family: 'marianne_bold';
	font-size: 1.1rem;
	width: fit-content;
}
body {
	font-family: "marianne_light";
}

/* Mise en page de la liste de démarche */
div.listbox.default {
	  border: 1px solid #0606b2;
	  border-radius: 5px;
}

.step-page .form-group[data-type="choice"]:not([data-expanded="true"]):not([data-expandedcolumnar="true"]) .input-group {
  width: 100% !important;
} 

/* Mise page du bloc composition du malus CO² */
.Malus {
	color: #2a313e; 
	width: 35em;
	padding: 1px;
	margin-top: -3em;
	background: #E7E7F0; 
	font-size: 0.8rem;
	border : solid #2a313e;
	border-width: 0 0 0 20px;
}
.MalusPlafond {
	color: #2a313e; 
	width: 35em;
	padding: 10px;
	margin-top: -2em;
	background: #E7E7F0; 
	font-size: 0.8rem;
	border : solid #2a313e;
	border-width: 0 0 0 20px;
	font-weight: bold;
}



.fiche-item {
    border-top: none;
}

/* Mise en page des labels des champs */
.form-horizontal .control-label, .widthmax,
label#franceOuImport-label.widthmax,
label#quatriemeChangementDomicile-label.control-label,
label#declareVehiculeDemonstration-label.control-label,
label#PuissanceAdmSaisie-label.control-label,
label#invalidite-label.control-label,
label#receptionCommunautaire-label.control-label,
label#Poids-label.control-label,
label#PrixQuestion-label.control-label,
label#PrixAchatVehicule-label.control-label
 {
	font-family: 'marianne_bold';
	color: #3a3a3a;
	padding-top: 10px;
	text-align: left;
	font-size: 1.1rem;
	width: 100%;
}

/* Mise en page des blocs nombre */
.step-page input[type="number"] {
    max-width: 5em;
	border: 1px solid #0606b2;
}

/* Mise en âge des blocs d'aide */
.step-page .help-panel {
	color:#0606b2;
	font-size: 0.9rem;
	background: #E5E5F2;
	border : solid #0606b2;
	border-width: 1px 1px 1px 30px;
	padding: 3px 10px;
}

/* Mise en page du bloc PostNote */
.step-page .post-note {
	color:#031b2a;
	font-family: "marianne_light";
	width : fit-content;
	text-align: left;
	font-size: 0.75rem !important;
	font-style: italic;
	background: #f2f7fa;
	margin:5px 0 0 0 !important;
	padding : 5px ;
}

/* Mise en page du bouton */
button.btn {
	border: 1px solid #0606b2;
	border-radius: 5px;
	padding: 8px;
	transition-property: transform;
	transition-duration: 400ms; 
	font-family: "marianne_bold";
}

button.btn.btn-primary {
   background-color: #0606b2 !important;
   color: whitesmoke;
   border: 1px solid #0606b2;
   border-radius: 5px;
   transition-property: transform;
	transition-duration: 400ms; 
}

.btn-help {color: #0606b2; }

.step-page .action_buttons,
.step-page .action_buttons button[name="calculer"] { text-align: left; float:left;}

/* Mise en page du bouton au survol*/
.btn:hover {
	color: white;
	transform:scale(1.1);
}

/* Mise en page du bloc Sous total */
#sousTotal-container.field-container.form-group, span#sousTotal-label.label {
	font-style: italic;
	color: #3e4e57;
}


/*********************************************************
 * Champs des formulaires                                *
 *********************************************************/
.step-page .form-group .input-group {
	padding-left: 10px;
}

.step-page .form-group[data-type=date]  .input-group {
	max-width: 5.5em;
    background: #fff none repeat scroll 0 0;
    border: 1px solid #ccc;
    border-radius: 3px;
	width: 5.5em; /* useful only for safari < 5.1 */
}
.step-page fieldset,
.step-page div.fieldset {
	margin-top: 0;
	margin-bottom: 1.5em;
}
.step-page .input-group fieldset {
	display: inline-block;
	margin-bottom: 0;
}
.step-page legend,
.step-page .legend {
	margin-bottom: 0.8em;
	font-size: 1.2rem;
	font-weight: bold;
}
.step-page .fieldset legend, .step-page .fieldset .legend {
    color: #0606b2;
    margin-bottom: 0.8em;
}
.step-page .fieldset-container legend {
    color: #0606b2;
    margin-bottom: 0.8em;
}
.step-page .legend p {
	margin-bottom: 0;
}

.step-page input {
	height: 1.3em;
}
.step-page input[type=text],
.step-page input[type=date],
.step-page input.date,
.step-page input[type=number],
.step-page input[type=money] {
	box-sizing: border-box;
	margin-top: 0;
	margin-right: 0.5em;
	padding-left: 0.2em;
	height: auto;
	line-height: 2em;
	border: 1px solid #ccc;
	border-radius: 4px;
	background-color: #fff;
}
.step-page .form-group[data-type=date] .input-group.has-error,
.step-page .form-group:not([data-type=date]) input.has-error {
	font-weight: normal;
	border: 1px solid #c60000 !important;
	background-color: #f5dedb !important;
}
.step-page .form-group[data-type=date] .input-group.has-error * {
	background-color: #f5dedb !important;
}
.step-page input[type=money] {
	width: 8em;
	max-width: 8em;
	font-size: 1rem;
}
.step-page input.date {
	border: medium none;
	width: 6.2em;
	max-width: 6.2em !important;
	color: #0606b2;
}
.step-page input[type=date] {
	width: 10em;
	max-width: 10em !important;
}
.step-page a.datepicker-button.blue {
    background-color: #fff;
    color: #0606b2;
	border: none;
}
.step-page input[type=text] {
	max-width: 10em;
}
.step-page input[type=number] {
	max-width: 10em;
	/* padding:.5em .1em .5em .4em; */
	/* pb IE, OPERA, Safari et Chrome si padding*/
}
.step-page input[type=submit],
.step-page input[type=reset] {
	height: auto;
}
.step-page input[disabled=disabled] {
	border: 0;
}
.step-page .listbox {
	width: 90%;
}
.step-page .modal-body .listbox {
    width: 90%;
}
.step-page a[data-toggle=modal] {
	cursor: pointer;
}
.step-page .choice input[type=radio] {
	margin: 0 0.4em 0 0;
	display: inline-block;
	vertical-align: bottom;
}
.step-page .field-container .input-group + .unit {
	margin-top: -1.7em;
	padding: 0;
	display: inline-block;
	vertical-align: middle;
}
.step-page .output {
	display: inline-block;
	padding: 0 0.1em;
	vertical-align: baseline;
	width: auto;
	color: #0606b2;
}

/* Mise en page des propositions de réponses */
input-group, label.choice {
	color:  #3a3a3a !important;
	font-family: 'marianne_light';
	font-size:1rem;
}

@media (min-width: 37em) {
	.step-page label, .step-page .label {
		padding-left: 1px;
		text-align: left;
		width: 40%;
	}
}

.step-page .form-group[data-type=choice]  .input-group > div {
    border: none;
}

/* Zone Département */
.step-page .listbox .input-group,
.step-page .listbox-edit {
    border: none;
    cursor: pointer;
	width:100% ;
}

#listbox-edit-departement.form-control {
	border:none;
}

.step-page .listbox .listbox-edit {
	color: #000;
}
.listbox.default .listbox-item:hover {
    background-color: #0606b2;
	color: #fff;
}
.step-page .form-group[data-type=choice] a.listbox-button {
    background-color: #fff;
    border: none;
    color: #0606b2;
    cursor: pointer;
	text-align: right;
}
.step-page .form-group[data-type=choice] a.listbox-button span {
    border: 1px solid;
    border-radius: 4px;
	padding: .4em;
  float: right;
}
.step-page .form-group[data-type=choice] .input-group:hover a.listbox-button span {
    background-color: #0606b2;
    color: #fff;
    border-radius: 4px;
      /* width: 100%; */
  float: right;
}
.step-page  ul.listbox-items {
	max-height: 25em; 
	overflow-y: scroll;
	overflow-x: hidden;
}
.step-page .form-group[data-type=date] a.datepicker-button span {
    border: 1px solid;
    border-radius: 4px;
	padding: .4em;
}
.step-page .form-group[data-type=date] a.datepicker-button:hover span {
    background-color: #0606b2;
    color: #fff;
    border-radius: 4px;
}

.step-page div.has-error {
	clear: both;
	text-align: left;
}

.step-page .emphasized {
	font-weight: bold;
	color: #0606b2;
}
.step-page .explanation {
	float: right;
	margin-top: 0.95em;
	width: 12em;
	font-weight: bold;
	color: #0606b2;
}
.clearer {
	float: none;
	clear: both;
	margin: 0;
	padding: 0;
}
.listbox .listbox-item:before {
	content: "" !important;
}

/*********************************************************
 * Money and percent symbol                              *
 *********************************************************/
.step-page .input-group + span.money-symbol {
	display: inline-block;
	margin-top: -1.7em;
	padding: 0;
	vertical-align: middle;
}
.step-page .input-group + span.percent-symbol {
	display: inline-block;
	margin-top: -1.7em;
	padding: 0;
	vertical-align: middle;
}
.step-page .field-container[data-type=percent] input {
	max-width: 3.5em;
}
.step-page .output span.money-symbol {
	margin-top: 0;
}

/*********************************************************
 * Panneau d'aide déroulant sous chaque champ            *
 *********************************************************/
.help-panel p {
	margin-bottom: 0.5em;
	width: 534px;
	width: 100%;
	font-size: 0.9rem !important;
	line-height: 1em;
}
.help-panel {
	margin-top: 0.7em;
	padding: 0.4em;
	border: 1px solid #0606b2;
	border-radius: 4px;
	background: whitesmoke;
}
.help-panel dt {
	display: none;
}
.article .help-panel dd {
	font-style: normal;
}
.help-panel dd ul {
	list-style: initial !important;
	margin-left: 1.5em;
}
.help-panel dd ul ul {
	list-style-type: circle !important;
	font-size: 0.9em;
}

.help-panel ul {
	list-style-type: disc;
	font-size: 0.9rem;
	margin-left: 2.5em;
}

.help-panel h2 {
	color: #0606b2; 
	font-size: 1.1rem;
	font-family: "Marianne_bold";
}

/* Mise en page de l'alerte Simulateur */
.AlerteSimu {
	display: grid;
	grid-template-columns: 35px auto;
	grid-template-rows: auto;
	border: 1px solid #ce0500; 
	width: fit-content;
}
.IconeSimu {
	display:flex;
	background-color: #ce0500;
	align-items: center;
	justify-content: center
}
.ContenuSimu {
	background-color: #ce0500;
	color: whitesmoke;
	padding: 10px 20px ;
	font-size: 0.9rem !important;
	font-family: 'marianne_regular';
	font-size: 1rem;
	font-weight: normal;
	text-align: left;
}
.step-page .foot-note, .step-page .foot-notes {background: white !important; }

/* Mise en page du bloc Alert */
.Alerte {
	display: grid;
	grid-template-columns: 30px auto;
	grid-template-rows: auto;
	border: 1px solid #d64d00; 
}

.Icone {
	background-color: #d64d00;
	text-align: center;

}

.Contenu {
	background-color: #ffe9e6;
	padding: 15px 5px 5px 10px;
	font-size: 0.9rem;
}

/* Mise en page des blocs Succès */

.TitleSuccess {
	font-size: 1.5rem;
	font-family: 'marianne_bold';
	text-align: center;
	padding-bottom: 12px;
}

.Success {
	display: grid;
	grid-template-columns: 30px auto;
	grid-template-rows: auto;
	border: 1px solid #0606b2;
}

.IconeSuc {
	background: #0606b2;
	text-align: center;
	grid-column: 1;
	grid-row: 1;
  	padding-top: 5px;
}

.ContenuSuc {
	padding: 15px 5px 15px 10px;
	background: #DBDBEE;
	color: #0606b2;
	font-size: 1em;
	grid-column: 2; 
	grid-row:1;
}

.blockinfo-chapters,
.step-page .section-content {
	border:none !important;
	background: none !important;
}

/* Resultat*/
#demarche-label.label, #franceOuImport-label.label,
#typeVehicule-label.label, #declareVehiculeDemonstration-label.label,
#puissanceAdministrative-label.label, #energie-label.label,
#Autonomie50Km-label,
#invalidite-label.label, #receptionCommunautaire-label.label,
#tauxCO2-label.label, #Poids-label.label,
#PrixQuestion-label.label, #PrixAchatVehicule-label.label,
#departement-label.label, #quatriemeChangementDomicile-label.label,
#modification-label.label, #CamionnettePickUpSoumisEcotaxes-label.label,
#declareVehiculeDeCollection-label.label, #dateMiseEnCirculation-label.label,
#Vehicule_N1_Transport_voyageurs-label.label {
	width: 40% !important;
	text-align: left;
}
